Package com.pixelmed.test

## Class TestGeometryOfSlice

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.pixelmed.test.TestGeometryOfSlice

- All Implemented Interfaces:
    `junit.framework.Test`

      public class TestGeometryOfSlice
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestGeometryOfSlice​(java.lang.String name)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `check3D2DConversion​(GeometryOfSlice geometry, double column, double row, double expectX, double expectY, double expectZ)` |
    `protected boolean` | `epsilonEquals​(double[] value1, double[] value2, double epsilon)` |
    `protected boolean` | `epsilonEquals​(double value1, double value2, double epsilon)` |
    `protected void` | `setUp()` |
    `static junit.framework.Test` | `suite()` |
    `protected void` | `tearDown()` |
    `void` | `TestGeometryOfSlice_3D2DConversions1()` |
    `void` | `TestGeometryOfSlice_3D2DConversions2()` |
    `void` | `TestGeometryOfSlice_3D2DConversions3()` |
    `void` | `TestGeometryOfSlice_NormalDirection_Coronal_FromFront_RowTowardsLeft_ColTowardsFeet()` |
    `void` | `TestGeometryOfSlice_NormalDirection_Sagittal_FromLeftSide_RowTowardsBack_ColTowardsFeet()` |
    `void` | `TestGeometryOfSlice_NormalDirection_Sagittal_FromRightSide_RowTowardsFront_ColTowardsFeet()` |
    `void` | `TestGeometryOfSlice_NormalDirection_Transverse_FromAbove_RowTowardsLeft_ColTowardsFront_Neurosurgery()` |
    `void` | `TestGeometryOfSlice_NormalDirection_Transverse_FromAbove_RowTowardsRight_ColTowardsBack_OriginalEMIScanner()` |
    `void` | `TestGeometryOfSlice_NormalDirection_Transverse_FromBelow_RowTowardsLeft_ColTowardsBack()` |

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TestGeometryOfSlice

          public TestGeometryOfSlice​(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static junit.framework.Test suite()

    - #### setUp

          protected void setUp()

      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### epsilonEquals

          protected boolean epsilonEquals​(double value1,
                                          double value2,
                                          double epsilon)

    - #### epsilonEquals

          protected boolean epsilonEquals​(double[] value1,
                                          double[] value2,
                                          double epsilon)

    - #### check3D2DConversion

          protected void check3D2DConversion​(GeometryOfSlice geometry,
                                             double column,
                                             double row,
                                             double expectX,
                                             double expectY,
                                             double expectZ)

    - #### TestGeometryOfSlice_3D2DConversions1

          public void TestGeometryOfSlice_3D2DConversions1()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_3D2DConversions2

          public void TestGeometryOfSlice_3D2DConversions2()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_3D2DConversions3

          public void TestGeometryOfSlice_3D2DConversions3()
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_NormalDirection_Transverse_FromBelow_RowTowardsLeft_ColTowardsBack

          public void TestGeometryOfSlice_NormalDirection_Transverse_FromBelow_RowTowardsLeft_ColTowardsBack()
                                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_NormalDirection_Transverse_FromAbove_RowTowardsRight_ColTowardsBack_OriginalEMIScanner

          public void TestGeometryOfSlice_NormalDirection_Transverse_FromAbove_RowTowardsRight_ColTowardsBack_OriginalEMIScanner()
                                                                                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_NormalDirection_Transverse_FromAbove_RowTowardsLeft_ColTowardsFront_Neurosurgery

          public void TestGeometryOfSlice_NormalDirection_Transverse_FromAbove_RowTowardsLeft_ColTowardsFront_Neurosurgery()
                                                                                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_NormalDirection_Coronal_FromFront_RowTowardsLeft_ColTowardsFeet

          public void TestGeometryOfSlice_NormalDirection_Coronal_FromFront_RowTowardsLeft_ColTowardsFeet()
                                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_NormalDirection_Sagittal_FromLeftSide_RowTowardsBack_ColTowardsFeet

          public void TestGeometryOfSlice_NormalDirection_Sagittal_FromLeftSide_RowTowardsBack_ColTowardsFeet()
                                                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### TestGeometryOfSlice_NormalDirection_Sagittal_FromRightSide_RowTowardsFront_ColTowardsFeet

          public void TestGeometryOfSlice_NormalDirection_Sagittal_FromRightSide_RowTowardsFront_ColTowardsFeet()
                                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`